clear
drop _all

use "C:\BellemareNguyenAJAEFarmersMarkets.dta", clear

log using "C:\BellemareNguyenAJAEFarmersMarkets.smcl", replace


* Figures 1a and 1b *

graph twoway (lfitci outbreaks_pop markets_pop) (scatter outbreaks_pop markets_pop), title(Farmers Markets and Outbreaks of Food-Borne Illness) subtitle(All 50 States Plus DC 2004-2013)
graph twoway (lfitci total_cases_pop markets_pop) (scatter total_cases_pop markets_pop)


* Table 1 *

sum number_of_outbreaks noro salm_enter c_perf e_coli_shiga staph campy scomb total_cases noro_cases salm_cases c_perf_cases e_coli_cases staph_cases campy_cases scomb_cases farmersmarkets gdp grad restaurants bankruptcy population if year==2004|year==2006|(year>=2008&year<=2013)


* Table 2 *

xtreg outbreaks_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg noro_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg salm_enter_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg e_coli_shiga_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg c_perf_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg campy_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg scomb_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg staph_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)


* Table 3 *

xtreg total_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg noro_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg salm_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg e_coli_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg c_perf_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg campy_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg scomb_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg staph_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)


* Appendix *

* Figures A1a to A1h *

twoway (lfitci outbreaks_pop markets_pop) (scatter outbreaks_pop markets_pop, title(Outbreaks of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2004
more
twoway (lfitci outbreaks_pop markets_pop) (scatter outbreaks_pop markets_pop, title(Outbreaks of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2006
more
twoway (lfitci outbreaks_pop markets_pop) (scatter outbreaks_pop markets_pop, title(Outbreaks of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2008
more
twoway (lfitci outbreaks_pop markets_pop) (scatter outbreaks_pop markets_pop, title(Outbreaks of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2009
more
twoway (lfitci outbreaks_pop markets_pop) (scatter outbreaks_pop markets_pop, title(Outbreaks of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2010
more
twoway (lfitci outbreaks_pop markets_pop) (scatter outbreaks_pop markets_pop, title(Outbreaks of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2011
more
twoway (lfitci outbreaks_pop markets_pop) (scatter outbreaks_pop markets_pop, title(Outbreaks of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2012
more
twoway (lfitci outbreaks_pop markets_pop) (scatter outbreaks_pop markets_pop, title(Outbreaks of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2013
more

twoway (lfitci total_cases_pop markets_pop) (scatter total_cases_pop markets_pop, title(Cases of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2004
more
twoway (lfitci total_cases_pop markets_pop) (scatter total_cases_pop markets_pop, title(Cases of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2006
more
twoway (lfitci total_cases_pop markets_pop) (scatter total_cases_pop markets_pop, title(Cases of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2008
more
twoway (lfitci total_cases_pop markets_pop) (scatter total_cases_pop markets_pop, title(Cases of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2009
more
twoway (lfitci total_cases_pop markets_pop) (scatter total_cases_pop markets_pop, title(Cases of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2010
more
twoway (lfitci total_cases_pop markets_pop) (scatter total_cases_pop markets_pop, title(Cases of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2011
more
twoway (lfitci total_cases_pop markets_pop) (scatter total_cases_pop markets_pop, title(Cases of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2012
more
twoway (lfitci total_cases_pop markets_pop) (scatter total_cases_pop markets_pop, title(Cases of Food-Borne Illness Per Capita in 2004) mlabel(StateAbbrev) msize(.5)) if year==2013
more



* Table A1 *

xtreg outbreaks_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg noro_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg salm_enter_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg e_coli_shiga_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg c_perf_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg campy_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg scomb_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg staph_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)


* Table A2 *

xtreg outbreaks_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg outbreaks_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg noro_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg noro_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg salm_enter_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg salm_enter markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg e_coli_shiga_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg e_coli_shiga_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg c_perf_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg c_perf_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg campy_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg campy_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg scomb_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg scomb_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg staph_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg staph_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375


* Table A3 *

xtreg total_cases_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg noro_cases_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg salm_cases_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg e_coli_cases_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg c_perf_cases_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg campy_cases_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg scomb_cases_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg staph_cases_pop markets_pop gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)


* Table A4 *

xtreg total_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg total_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg noro_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg noro_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg salm_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg salm_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg e_coli_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg e_coli_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg c_perf_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg c_perf_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg campy_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg campy_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg scomb_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg scomb_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375
xtreg staph_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg staph_cases_pop markets_pop markets_pop_ns ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
lincom _b[markets_pop] + _b[markets_pop_ns]*0.375


* Table A5 *

xtreg outbreaks_pop markets_pop ns gdp_pop grad restaurants_pop spillover i.year, fe i(state) cluster(state)
xtreg outbreaks_pop markets_pop ns gdp_pop grad restaurants_pop year, fe i(state) cluster(state)
xtreg outbreaks_pop markets_pop ns gdp_pop grad restaurants_pop state*trend, fe i(state) cluster(state)
xtreg outbreaks_pop markets_pop ns gdp_pop grad restaurants_pop new_england_2* mid_atlantic_2* east_north_central_2* west_north_central_2* south_atlantic_2* east_south_central_2* west_south_central_2* mountain_2* pacific_2*, fe i(state) cluster(state)


* Table A6 *

xtreg total_cases_pop markets_pop ns gdp_pop grad restaurants_pop spillover i.year, fe i(state) cluster(state)
xtreg total_cases_pop markets_pop ns gdp_pop grad restaurants_pop year, fe i(state) cluster(state)
xtreg total_cases_pop markets_pop ns gdp_pop grad restaurants_pop state*trend, fe i(state) cluster(state)
xtreg total_cases_pop markets_pop ns gdp_pop grad restaurants_pop new_england_2* mid_atlantic_2* east_north_central_2* west_north_central_2* south_atlantic_2* east_south_central_2* west_south_central_2* mountain_2* pacific_2*, fe i(state) cluster(state)


* Table A7 *

xtreg noro_pop markets_pop ns gdp_pop grad restaurants_pop spillover i.year, fe i(state) cluster(state)
xtreg noro_pop markets_pop ns gdp_pop grad restaurants_pop year, fe i(state) cluster(state)
xtreg noro_pop markets_pop ns gdp_pop grad restaurants_pop state*trend, fe i(state) cluster(state)
xtreg noro_pop markets_pop ns gdp_pop grad restaurants_pop new_england_2* mid_atlantic_2* east_north_central_2* west_north_central_2* south_atlantic_2* east_south_central_2* west_south_central_2* mountain_2* pacific_2*, fe i(state) cluster(state)


* Table A8 *

xtreg noro_cases_pop markets_pop ns gdp_pop grad restaurants_pop spillover i.year, fe i(state) cluster(state)
xtreg noro_cases_pop markets_pop ns gdp_pop grad restaurants_pop year, fe i(state) cluster(state)
xtreg noro_cases_pop markets_pop ns gdp_pop grad restaurants_pop state*trend, fe i(state) cluster(state)
xtreg noro_cases_pop markets_pop ns gdp_pop grad restaurants_pop new_england_2* mid_atlantic_2* east_north_central_2* west_north_central_2* south_atlantic_2* east_south_central_2* west_south_central_2* mountain_2* pacific_2*, fe i(state) cluster(state)


* Table A9 *

xtreg campy_pop markets_pop ns gdp_pop grad restaurants_pop spillover i.year, fe i(state) cluster(state)
xtreg campy_pop markets_pop ns gdp_pop grad restaurants_pop year, fe i(state) cluster(state)
xtreg campy_pop markets_pop ns gdp_pop grad restaurants_pop state*trend, fe i(state) cluster(state)
xtreg campy_pop markets_pop ns gdp_pop grad restaurants_pop new_england_2* mid_atlantic_2* east_north_central_2* west_north_central_2* south_atlantic_2* east_south_central_2* west_south_central_2* mountain_2* pacific_2*, fe i(state) cluster(state)


* Table A10 *

xtreg campy_cases_pop markets_pop ns gdp_pop grad restaurants_pop spillover i.year, fe i(state) cluster(state)
xtreg campy_cases_pop markets_pop ns gdp_pop grad restaurants_pop year, fe i(state) cluster(state)
xtreg campy_cases_pop markets_pop ns gdp_pop grad restaurants_pop state*trend, fe i(state) cluster(state)
xtreg campy_cases_pop markets_pop ns gdp_pop grad restaurants_pop new_england_2* mid_atlantic_2* east_north_central_2* west_north_central_2* south_atlantic_2* east_south_central_2* west_south_central_2* mountain_2* pacific_2*, fe i(state) cluster(state)


* Table A11 *

xtreg outbreaks_pop bankruptcy_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg total_cases_pop bankruptcy_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg noro_pop bankruptcy_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg noro_cases_pop bankruptcy_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg campy_pop bankruptcy_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg campy_cases_pop bankruptcy_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)
xtreg bankruptcy_pop markets_pop ns gdp_pop grad restaurants_pop i.year, fe i(state) cluster(state)


* Table A12 *

xtreg outbreaks_pop markets_pop ns gdp_pop grad restaurants_pop i.year if outbreak_outlier~=1, fe i(state) cluster(state)
xtreg outbreaks_pop markets_pop ns gdp_pop grad restaurants_pop i.year if market_outlier~=1, fe i(state) cluster(state)
xtreg outbreaks_pop markets_pop ns gdp_pop grad restaurants_pop i.year if market_outlier~=1 & outbreak_outlier~=1, fe i(state) cluster(state)


* Table A13 *

xtreg total_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year if cases_outlier~=1, fe i(state) cluster(state)
xtreg total_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year if market_outlier~=1, fe i(state) cluster(state)
xtreg total_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year if cases_outlier~=1 & market_outlier~=1, fe i(state) cluster(state)



* Table A14 *

xtreg noro_pop markets_pop ns gdp_pop grad restaurants_pop i.year if noro_outlier~=1, fe i(state) cluster(state)
xtreg noro_pop markets_pop ns gdp_pop grad restaurants_pop i.year if market_outlier~=1, fe i(state) cluster(state)
xtreg noro_pop markets_pop ns gdp_pop grad restaurants_pop i.year if market_outlier~=1 & noro_outlier~=1, fe i(state) cluster(state)


* Table A15 *

xtreg noro_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year if noro_outlier~=1, fe i(state) cluster(state)
xtreg noro_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year if market_outlier~=1, fe i(state) cluster(state)
xtreg noro_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year if market_outlier~=1 & noro_outlier~=1, fe i(state) cluster(state)


* Table A16 *

xtreg campy_pop markets_pop ns gdp_pop grad restaurants_pop i.year if campy_outlier~=1, fe i(state) cluster(state)
xtreg campy_pop markets_pop ns gdp_pop grad restaurants_pop i.year if market_outlier~=1, fe i(state) cluster(state)
xtreg campy_pop markets_pop ns gdp_pop grad restaurants_pop i.year if market_outlier~=1 & campy_outlier~=1, fe i(state) cluster(state)


* Table A17 *

xtreg campy_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year if campy_outlier~=1, fe i(state) cluster(state)
xtreg campy_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year if market_outlier~=1, fe i(state) cluster(state)
xtreg campy_cases_pop markets_pop ns gdp_pop grad restaurants_pop i.year if market_outlier~=1 & campy_outlier~=1, fe i(state) cluster(state)

